Index: /trunk/SophyaPI/PI/picons.cc
===================================================================
--- /trunk/SophyaPI/PI/picons.cc	(revision 97)
+++ /trunk/SophyaPI/PI/picons.cc	(revision 98)
@@ -172,5 +172,5 @@
 if (mScb) {
   mScb->SetMinMax(0, NbLines()-1);
-  mScb->SetSize(WindNbLines());
+  mScb->SetSlSize(WindNbLines());
   mScb->SetValue(NbLines()-WindNbLines()-1);
   }
@@ -254,5 +254,5 @@
 if (mScb) {
   mScb->SetMinMax(0, NbLines()-1);
-  mScb->SetSize(WindNbLines());
+  mScb->SetSlSize(WindNbLines());
   mScb->SetValue(NbLines()-WindNbLines()-1);
   }
@@ -583,5 +583,5 @@
 mScb->SetMsgParent(this);
 mScb->SetMinMax(0, NbLines()-1);
-mScb->SetSize(WindNbLines());
+mScb->SetSlSize(WindNbLines());
 mScb->SetValue(NbLines()-WindNbLines()-1);
 }
Index: /trunk/SophyaPI/PI/pigraphgen.h
===================================================================
--- /trunk/SophyaPI/PI/pigraphgen.h	(revision 97)
+++ /trunk/SophyaPI/PI/pigraphgen.h	(revision 98)
@@ -44,7 +44,7 @@
   inline operator unsigned short() { return((unsigned short)iv); }
   inline operator float() { return(fv); }
-  inline operator= (int a) { iv = a; fv = (float)a; return(*this); }
-  inline operator= (float a) { iv = (int)a; fv = a; return(*this); }
-  inline operator= (double a) { iv = (int)a; fv = (float)a; return(*this); }
+  inline PIGrCoord& operator= (int a) { iv = a; fv = (float)a; return(*this); }
+  inline PIGrCoord& operator= (float a) { iv = (int)a; fv = a; return(*this); }
+  inline PIGrCoord& operator= (double a) { iv = (int)a; fv = (float)a; return(*this); }
   int iv;
   float fv;
Index: /trunk/SophyaPI/PI/pilistx.cc
===================================================================
--- /trunk/SophyaPI/PI/pilistx.cc	(revision 97)
+++ /trunk/SophyaPI/PI/pilistx.cc	(revision 98)
@@ -107,5 +107,5 @@
 mNItem++;
 
-XmString xms = XmStringCreate((char*)item, XmSTRING_DEFAULT_CHARSET);
+XmString xms = XmStringCreate(const_cast<char *>(item), XmSTRING_DEFAULT_CHARSET);
 XmListAddItem(mlist, xms, 0);
 XmStringFree(xms);
Index: /trunk/SophyaPI/PI/pistdwdggen.h
===================================================================
--- /trunk/SophyaPI/PI/pistdwdggen.h	(revision 97)
+++ /trunk/SophyaPI/PI/pistdwdggen.h	(revision 98)
@@ -114,6 +114,6 @@
   virtual void       SetValue(int val) = 0;
   virtual int        GetValue() = 0; 
-  virtual void       SetSize(int sz) = 0;
-  virtual int        GetSize() = 0;
+  virtual void       SetSlSize(int sz) = 0;
+  virtual int        GetSlSize() = 0;
 
   virtual long       kind() {return ClassId; }
Index: /trunk/SophyaPI/PI/pistdwdgmac.h
===================================================================
--- /trunk/SophyaPI/PI/pistdwdgmac.h	(revision 97)
+++ /trunk/SophyaPI/PI/pistdwdgmac.h	(revision 98)
@@ -71,6 +71,6 @@
   virtual void	     ListenToMessage(MessageT inMessage, void *ioParam);
   virtual void	     HandleScroll(const Int16 inPart);
-  virtual void       SetSize(int sz) {msz = sz;}
-  virtual int        GetSize() {return msz;}
+  virtual void       SetSlSize(int sz) {msz = sz;}
+  virtual int        GetSlSize() {return msz;}
 protected:
   static pascal void SBarAction(ControlHandle inMacControl,
Index: /trunk/SophyaPI/PI/pistdwdgx.cc
===================================================================
--- /trunk/SophyaPI/PI/pistdwdgx.cc	(revision 97)
+++ /trunk/SophyaPI/PI/pistdwdgx.cc	(revision 98)
@@ -458,5 +458,5 @@
 mSz = 0;
 SetMinMax(0, 100);
-SetSize(10);
+SetSlSize(10);
 SetValue(0);
 XtAddCallback(XtWdg(), XmNvalueChangedCallback, 
@@ -528,5 +528,5 @@
 
 /* --Methode-- */
-void PIScrollBarX::SetSize(int sz)
+void PIScrollBarX::SetSlSize(int sz)
 {
 int n=0;
@@ -554,5 +554,5 @@
 
 /* --Methode-- */
-int  PIScrollBarX::GetSize()
+int  PIScrollBarX::GetSlSize()
 {
 int sz;
Index: /trunk/SophyaPI/PI/pistdwdgx.h
===================================================================
--- /trunk/SophyaPI/PI/pistdwdgx.h	(revision 97)
+++ /trunk/SophyaPI/PI/pistdwdgx.h	(revision 98)
@@ -97,6 +97,6 @@
   virtual void       SetValue(int val);
   virtual int        GetValue(); 
-  virtual void       SetSize(int sz);
-  virtual int        GetSize();
+  virtual void       SetSlSize(int sz);
+  virtual int        GetSlSize();
 
   virtual void       CBSetVal(int val);   // A ne pas utiliser (pour Callback Xt)
Index: /trunk/SophyaPI/PI/psfile.cc
===================================================================
--- /trunk/SophyaPI/PI/psfile.cc	(revision 97)
+++ /trunk/SophyaPI/PI/psfile.cc	(revision 98)
@@ -257,5 +257,5 @@
  */
 PSFile::PSFile(const char * FileName, float sc) 
-    : mPSFileName(FileName==NULL? "unnamed.eps" : (char*)FileName),
+    : mPSFileName(FileName==NULL? "unnamed.eps" : const_cast<char *>(FileName)),
       Tw (-1.), Th(-1.),         /* Non specifies pour du eps  */
       WMargin (-1), HMargin(-1), /* Non specifiees en eps  */ 
@@ -317,5 +317,6 @@
 	       PIPaperSize   paperSize,
 	       float marginX, float marginY)
- :  mPSFileName (FileName == NULL ? "unnamed.ps" : (char*)FileName),
+ :  mPSFileName (FileName == NULL ? "unnamed.ps" : const_cast<char *>(FileName)),
+
     Tw(PaperSizeTable[paperSize].width),  /* Format papier utilise */
     Th(PaperSizeTable[paperSize].height), /*                       */