Index: trunk/SophyaPI/PI/Makefile
===================================================================
--- trunk/SophyaPI/PI/Makefile	(revision 98)
+++ trunk/SophyaPI/PI/Makefile	(revision 99)
@@ -1,3 +1,4 @@
 MODULENAME := PI
+MODULECXXFLAGS := -msg_quiet
 include ../Mgr/Makefile.h
  
@@ -10,10 +11,10 @@
 endif 
  
-$(OBJ)lut.o: lut.cc $(INC)defs.h lut.h
+$(OBJ)lut.o: lut.cc /erosusers/eros2/Include/defs.h lut.h
 $(OBJ)piapplgen.o: piapplgen.cc piapplgen.h pimsghandler.h pisysdep.h \
  picontainerx.h picontainergen.h piwdgx.h piwdggen.h pimenubarx.h \
  pimenubargen.h pimenux.h pimenugen.h picons.h pistdwdgx.h \
  pistdwdggen.h pibwdgx.h pibwdggen.h picmap.h picmapx.h picmapgen.h \
- pigraphx.h pigraphgen.h psfile.h $(INC)defs.h \
+ pigraphx.h pigraphgen.h psfile.h /erosusers/eros2/Include/defs.h \
  pigraphps.h
 $(OBJ)piapplx.o: piapplx.cc piapplx.h piapplgen.h pimsghandler.h pisysdep.h \
@@ -21,13 +22,13 @@
  pimenubargen.h pimenux.h pimenugen.h picons.h pistdwdgx.h \
  pistdwdggen.h pibwdgx.h pibwdggen.h picmap.h picmapx.h picmapgen.h \
- pigraphx.h pigraphgen.h psfile.h $(INC)defs.h \
+ pigraphx.h pigraphgen.h psfile.h /erosusers/eros2/Include/defs.h \
  pigraphps.h
 $(OBJ)pibwdggen.o: pibwdggen.cc pibwdggen.h pisysdep.h piwdgx.h piwdggen.h \
  pimsghandler.h picmap.h picmapx.h picmapgen.h pigraphx.h pigraphgen.h \
- psfile.h $(INC)defs.h pidrawer.h pigraphuc.h \
+ psfile.h /erosusers/eros2/Include/defs.h pidrawer.h pigraphuc.h \
  pigraphps.h
 $(OBJ)pibwdgx.o: pibwdgx.cc pixtbaseP.h pibwdgx.h pisysdep.h pibwdggen.h \
  piwdgx.h piwdggen.h pimsghandler.h picmap.h picmapx.h picmapgen.h \
- pigraphx.h pigraphgen.h psfile.h $(INC)defs.h \
+ pigraphx.h pigraphgen.h psfile.h /erosusers/eros2/Include/defs.h \
  pigraphps.h pixtbase.h
 $(OBJ)picmap.o: picmap.cc picmap.h pisysdep.h picmapx.h picmapgen.h
@@ -39,5 +40,5 @@
  picontainerx.h picontainergen.h pibwdgx.h pibwdggen.h picmap.h \
  picmapx.h picmapgen.h pigraphx.h pigraphgen.h psfile.h \
- $(INC)defs.h pigraphps.h
+ /erosusers/eros2/Include/defs.h pigraphps.h
 $(OBJ)picontainergen.o: picontainergen.cc picontainergen.h pisysdep.h \
  piwdgx.h piwdggen.h pimsghandler.h
@@ -46,12 +47,11 @@
 $(OBJ)pidrawer.o: pidrawer.cc pidrawer.h pibwdggen.h pisysdep.h piwdgx.h \
  piwdggen.h pimsghandler.h picmap.h picmapx.h picmapgen.h pigraphx.h \
- pigraphgen.h psfile.h $(INC)defs.h \
- pigraphuc.h
+ pigraphgen.h psfile.h /erosusers/eros2/Include/defs.h pigraphuc.h
 $(OBJ)pidrawwin.o: pidrawwin.cc pidrawwin.h pisysdep.h piwindowx.h \
  piwindowgen.h picontainerx.h picontainergen.h piwdgx.h piwdggen.h \
  pimsghandler.h piscdrawwdg.h pibwdgx.h pibwdggen.h picmap.h picmapx.h \
  picmapgen.h pigraphx.h pigraphgen.h psfile.h \
- $(INC)defs.h pigraphps.h pistdwdgx.h \
- pistdwdggen.h pidrawer.h pigraphuc.h
+ /erosusers/eros2/Include/defs.h pigraphps.h pistdwdgx.h pistdwdggen.h \
+ pidrawer.h pigraphuc.h
 $(OBJ)pifilechogen.o: pifilechogen.cc pifilechogen.h pisysdep.h piwdgx.h \
  piwdggen.h pimsghandler.h
@@ -63,22 +63,18 @@
 $(OBJ)pigraphps.o: pigraphps.cc pigraphps.h pisysdep.h pigraphgen.h piwdgx.h \
  piwdggen.h pimsghandler.h picmap.h picmapx.h picmapgen.h psfile.h \
- $(INC)defs.h
+ /erosusers/eros2/Include/defs.h
 $(OBJ)pigraphuc.o: pigraphuc.cc pigraphuc.h pisysdep.h pigraphgen.h piwdgx.h \
  piwdggen.h pimsghandler.h picmap.h picmapx.h picmapgen.h
 $(OBJ)pigraphx.o: pigraphx.cc pigraphx.h pisysdep.h pigraphgen.h piwdgx.h \
  piwdggen.h pimsghandler.h picmap.h picmapx.h picmapgen.h
-$(OBJ)pihisto.o: pihisto.cc pihisto.h $(INC)histos.h \
- $(INC)peida.h \
- $(INC)defs.h \
- $(INC)utils.h \
- $(INC)machine.h \
- $(INC)perrors.h \
- $(INC)exceptions.h \
- $(INC)peidainit.h \
- $(INC)fmath.h \
- $(INC)cvector.h \
- $(INC)matrix.h \
- $(INC)ppersist.h \
- $(INC)pclassids.h piscdrawwdg.h pisysdep.h \
+$(OBJ)pihisto.o: pihisto.cc pihisto.h /erosusers/eros2/Include/histos.h \
+ /erosusers/eros2/Include/peida.h /erosusers/eros2/Include/defs.h \
+ /erosusers/eros2/Include/utils.h /erosusers/eros2/Include/machine.h \
+ /erosusers/eros2/Include/perrors.h \
+ /erosusers/eros2/Include/exceptions.h \
+ /erosusers/eros2/Include/peidainit.h /erosusers/eros2/Include/fmath.h \
+ /erosusers/eros2/Include/cvector.h /erosusers/eros2/Include/matrix.h \
+ /erosusers/eros2/Include/ppersist.h \
+ /erosusers/eros2/Include/pclassids.h piscdrawwdg.h pisysdep.h \
  pibwdgx.h pibwdggen.h piwdgx.h piwdggen.h pimsghandler.h picmap.h \
  picmapx.h picmapgen.h pigraphx.h pigraphgen.h psfile.h pigraphps.h \
@@ -88,61 +84,49 @@
  piwdgx.h piwdggen.h pimsghandler.h pimenubarx.h pimenubargen.h \
  pioptmenux.h pioptmenugen.h picontainerx.h picontainergen.h \
- pistdwdgx.h pistdwdggen.h $(INC)histos2.h \
- $(INC)peida.h \
- $(INC)defs.h \
- $(INC)utils.h \
- $(INC)machine.h \
- $(INC)perrors.h \
- $(INC)exceptions.h \
- $(INC)peidainit.h \
- $(INC)fmath.h \
- $(INC)histos.h \
- $(INC)cvector.h \
- $(INC)matrix.h \
- $(INC)ppersist.h \
- $(INC)pclassids.h piscdrawwdg.h pibwdgx.h \
+ pistdwdgx.h pistdwdggen.h /erosusers/eros2/Include/histos2.h \
+ /erosusers/eros2/Include/peida.h /erosusers/eros2/Include/defs.h \
+ /erosusers/eros2/Include/utils.h /erosusers/eros2/Include/machine.h \
+ /erosusers/eros2/Include/perrors.h \
+ /erosusers/eros2/Include/exceptions.h \
+ /erosusers/eros2/Include/peidainit.h /erosusers/eros2/Include/fmath.h \
+ /erosusers/eros2/Include/histos.h /erosusers/eros2/Include/cvector.h \
+ /erosusers/eros2/Include/matrix.h /erosusers/eros2/Include/ppersist.h \
+ /erosusers/eros2/Include/pclassids.h piscdrawwdg.h pibwdgx.h \
  pibwdggen.h picmap.h picmapx.h picmapgen.h pigraphx.h pigraphgen.h \
  psfile.h pigraphps.h piwindowx.h piwindowgen.h pidrawer.h pigraphuc.h \
- $(INC)nbrandom.h
-$(OBJ)piimage.o: piimage.cc piimage.h $(INC)cimage.h \
- $(INC)rzimage.h \
- $(INC)rzvect.h \
- $(INC)machine.h \
- $(INC)defs.h \
- $(INC)exceptions.h \
- $(INC)peidainit.h \
- $(INC)perrors.h \
- $(INC)imaginit.h \
- $(INC)datatypes.h \
- $(INC)ppersist.h \
- $(INC)pclassids.h \
- $(INC)dvlist.h lut.h pisysdep.h pipixmapx.h \
+ /erosusers/eros2/Include/nbrandom.h
+$(OBJ)piimage.o: piimage.cc piimage.h /erosusers/eros2/Include/cimage.h \
+ /erosusers/eros2/Include/rzimage.h /erosusers/eros2/Include/rzvect.h \
+ /erosusers/eros2/Include/machine.h /erosusers/eros2/Include/defs.h \
+ /erosusers/eros2/Include/exceptions.h \
+ /erosusers/eros2/Include/peidainit.h \
+ /erosusers/eros2/Include/perrors.h \
+ /erosusers/eros2/Include/imaginit.h \
+ /erosusers/eros2/Include/datatypes.h \
+ /erosusers/eros2/Include/ppersist.h \
+ /erosusers/eros2/Include/pclassids.h \
+ /erosusers/eros2/Include/dvlist.h lut.h pisysdep.h pipixmapx.h \
  pipixmapgen.h pibwdgx.h pibwdggen.h piwdgx.h piwdggen.h \
  pimsghandler.h picmap.h picmapx.h picmapgen.h pigraphx.h pigraphgen.h \
  psfile.h pigraphps.h pistdwdgx.h pistdwdggen.h piwindowx.h \
  piwindowgen.h picontainerx.h picontainergen.h \
- $(INC)imageop.h \
- $(INC)fitsimage.h \
- $(INC)fitsheader.h \
- $(INC)erosio.h \
- $(INC)fitskeys.h \
- $(INC)erostape.h \
- $(INC)strutil.h \
- $(INC)ptrarray.h \
- $(INC)voidptrarray.h \
- $(INC)basearray.h \
- $(INC)peida.h \
- $(INC)utils.h \
- $(INC)fmath.h \
- $(INC)array.h \
- $(INC)lockfile.h \
- $(INC)erostarfile.h \
- $(INC)xstrstream.h \
- $(INC)dates.h \
- $(INC)tarlib.h
-$(OBJ)piinit.o: piinit.cc $(INC)defs.h piinit.h \
- $(INC)strecinit.h \
- $(INC)imaginit.h \
- $(INC)peidainit.h
+ /erosusers/eros2/Include/imageop.h \
+ /erosusers/eros2/Include/fitsimage.h \
+ /erosusers/eros2/Include/fitsheader.h \
+ /erosusers/eros2/Include/erosio.h /erosusers/eros2/Include/fitskeys.h \
+ /erosusers/eros2/Include/erostape.h \
+ /erosusers/eros2/Include/strutil.h \
+ /erosusers/eros2/Include/ptrarray.h \
+ /erosusers/eros2/Include/voidptrarray.h \
+ /erosusers/eros2/Include/basearray.h /erosusers/eros2/Include/peida.h \
+ /erosusers/eros2/Include/utils.h /erosusers/eros2/Include/fmath.h \
+ /erosusers/eros2/Include/array.h /erosusers/eros2/Include/lockfile.h \
+ /erosusers/eros2/Include/erostarfile.h \
+ /erosusers/eros2/Include/xstrstream.h \
+ /erosusers/eros2/Include/dates.h /erosusers/eros2/Include/tarlib.h
+$(OBJ)piinit.o: piinit.cc /erosusers/eros2/Include/defs.h piinit.h \
+ /erosusers/eros2/Include/strecinit.h \
+ /erosusers/eros2/Include/imaginit.h \
+ /erosusers/eros2/Include/peidainit.h
 $(OBJ)pilistgen.o: pilistgen.cc pilistgen.h pisysdep.h piwdgx.h piwdggen.h \
  pimsghandler.h
@@ -153,5 +137,5 @@
  picontainerx.h picontainergen.h pimenubarx.h picons.h pistdwdgx.h \
  pistdwdggen.h pibwdgx.h pibwdggen.h picmap.h picmapx.h picmapgen.h \
- pigraphx.h pigraphgen.h psfile.h $(INC)defs.h \
+ pigraphx.h pigraphgen.h psfile.h /erosusers/eros2/Include/defs.h \
  pigraphps.h
 $(OBJ)pimenubarx.o: pimenubarx.cc pimenubarx.h pimenubargen.h pisysdep.h \
@@ -159,5 +143,5 @@
  piapplgen.h picontainerx.h picontainergen.h picons.h pistdwdgx.h \
  pistdwdggen.h pibwdgx.h pibwdggen.h picmap.h picmapx.h picmapgen.h \
- pigraphx.h pigraphgen.h psfile.h $(INC)defs.h \
+ pigraphx.h pigraphgen.h psfile.h /erosusers/eros2/Include/defs.h \
  pigraphps.h
 $(OBJ)pimenugen.o: pimenugen.cc pimenugen.h pisysdep.h piwdgx.h piwdggen.h \
@@ -166,13 +150,10 @@
  piwdggen.h pimsghandler.h
 $(OBJ)pimsghandler.o: pimsghandler.cc pimsghandler.h
-$(OBJ)pintuple.o: pintuple.cc pintuple.h \
- $(INC)ntuple.h \
- $(INC)ppersist.h \
- $(INC)defs.h \
- $(INC)machine.h \
- $(INC)perrors.h \
- $(INC)exceptions.h \
- $(INC)peidainit.h \
- $(INC)pclassids.h piscdrawwdg.h pisysdep.h \
+$(OBJ)pintuple.o: pintuple.cc pintuple.h /erosusers/eros2/Include/ntuple.h \
+ /erosusers/eros2/Include/ppersist.h /erosusers/eros2/Include/defs.h \
+ /erosusers/eros2/Include/machine.h /erosusers/eros2/Include/perrors.h \
+ /erosusers/eros2/Include/exceptions.h \
+ /erosusers/eros2/Include/peidainit.h \
+ /erosusers/eros2/Include/pclassids.h piscdrawwdg.h pisysdep.h \
  pibwdgx.h pibwdggen.h piwdgx.h piwdggen.h pimsghandler.h picmap.h \
  picmapx.h picmapgen.h pigraphx.h pigraphgen.h psfile.h pigraphps.h \
@@ -186,31 +167,26 @@
  pimenux.h pimenugen.h pistdwdgx.h pistdwdggen.h
 $(OBJ)piperiodx.o: piperiodx.cc piwdgx.h piwdggen.h pimsghandler.h \
- piperiodx.h $(INC)periodic.h \
- $(INC)defs.h
+ piperiodx.h /erosusers/eros2/Include/periodic.h \
+ /erosusers/eros2/Include/defs.h
 $(OBJ)pipixmapgen.o: pipixmapgen.cc pipixmapgen.h pisysdep.h pibwdgx.h \
  pibwdggen.h piwdgx.h piwdggen.h pimsghandler.h picmap.h picmapx.h \
  picmapgen.h pigraphx.h pigraphgen.h psfile.h \
- $(INC)defs.h pigraphps.h
+ /erosusers/eros2/Include/defs.h pigraphps.h
 $(OBJ)pipixmapx.o: pipixmapx.cc pipixmapx.h pipixmapgen.h pisysdep.h \
  pibwdgx.h pibwdggen.h piwdgx.h piwdggen.h pimsghandler.h picmap.h \
  picmapx.h picmapgen.h pigraphx.h pigraphgen.h psfile.h \
- $(INC)defs.h pigraphps.h
-$(OBJ)piscdrawwdg.o: piscdrawwdg.cc \
- $(INC)generalfit.h \
- $(INC)exceptions.h \
- $(INC)defs.h \
- $(INC)peidainit.h \
- $(INC)matrix.h \
- $(INC)peida.h \
- $(INC)utils.h \
- $(INC)machine.h \
- $(INC)perrors.h \
- $(INC)fmath.h \
- $(INC)ppersist.h \
- $(INC)pclassids.h \
- $(INC)cvector.h piscdrawwdg.h pisysdep.h \
- pibwdgx.h pibwdggen.h piwdgx.h piwdggen.h pimsghandler.h picmap.h \
- picmapx.h picmapgen.h pigraphx.h pigraphgen.h psfile.h pigraphps.h \
- pistdwdgx.h pistdwdggen.h piwindowx.h piwindowgen.h picontainerx.h \
+ /erosusers/eros2/Include/defs.h pigraphps.h
+$(OBJ)piscdrawwdg.o: piscdrawwdg.cc /erosusers/eros2/Include/generalfit.h \
+ /erosusers/eros2/Include/exceptions.h /erosusers/eros2/Include/defs.h \
+ /erosusers/eros2/Include/peidainit.h \
+ /erosusers/eros2/Include/matrix.h /erosusers/eros2/Include/peida.h \
+ /erosusers/eros2/Include/utils.h /erosusers/eros2/Include/machine.h \
+ /erosusers/eros2/Include/perrors.h /erosusers/eros2/Include/fmath.h \
+ /erosusers/eros2/Include/ppersist.h \
+ /erosusers/eros2/Include/pclassids.h \
+ /erosusers/eros2/Include/cvector.h piscdrawwdg.h pisysdep.h pibwdgx.h \
+ pibwdggen.h piwdgx.h piwdggen.h pimsghandler.h picmap.h picmapx.h \
+ picmapgen.h pigraphx.h pigraphgen.h psfile.h pigraphps.h pistdwdgx.h \
+ pistdwdggen.h piwindowx.h piwindowgen.h picontainerx.h \
  picontainergen.h pidrawer.h pigraphuc.h
 $(OBJ)pistdwdggen.o: pistdwdggen.cc pistdwdggen.h pisysdep.h piwdgx.h \
@@ -218,75 +194,57 @@
 $(OBJ)pistdwdgx.o: pistdwdgx.cc pisysdep.h pistdwdgx.h pistdwdggen.h \
  piwdgx.h piwdggen.h pimsghandler.h
-$(OBJ)pistlist.o: pistlist.cc pistlist.h \
- $(INC)stlist.h \
- $(INC)machine.h \
- $(INC)defs.h \
- $(INC)exceptions.h \
- $(INC)peidainit.h \
- $(INC)perrors.h \
- $(INC)dynccd.h \
- $(INC)ppersist.h \
- $(INC)pclassids.h \
- $(INC)imaginit.h \
- $(INC)star.h \
- $(INC)strecinit.h \
- $(INC)starmacro.h \
- $(INC)psf.h \
- $(INC)peida.h \
- $(INC)utils.h \
- $(INC)fmath.h \
- $(INC)cimage.h \
- $(INC)rzimage.h \
- $(INC)rzvect.h \
- $(INC)datatypes.h \
- $(INC)dvlist.h \
- $(INC)fct1dfit.h \
- $(INC)generalfit.h \
- $(INC)matrix.h \
- $(INC)cvector.h \
- $(INC)fct2dfit.h \
- $(INC)pixelmap.h \
- $(INC)transfo.h \
- $(INC)poly.h \
- $(INC)zfidu.h piscdrawwdg.h pisysdep.h \
- pibwdgx.h pibwdggen.h piwdgx.h piwdggen.h pimsghandler.h picmap.h \
- picmapx.h picmapgen.h pigraphx.h pigraphgen.h psfile.h pigraphps.h \
- pistdwdgx.h pistdwdggen.h piwindowx.h piwindowgen.h picontainerx.h \
- picontainergen.h pidrawer.h pigraphuc.h
-$(OBJ)piup.o: piup.cc $(INC)ctimer.h \
- $(INC)peida.h \
- $(INC)defs.h \
- $(INC)utils.h \
- $(INC)machine.h \
- $(INC)perrors.h \
- $(INC)exceptions.h \
- $(INC)peidainit.h \
- $(INC)fmath.h \
- $(INC)imageop.h \
- $(INC)cimage.h \
- $(INC)rzimage.h \
- $(INC)rzvect.h \
- $(INC)imaginit.h \
- $(INC)datatypes.h \
- $(INC)ppersist.h \
- $(INC)pclassids.h \
- $(INC)dvlist.h \
- $(INC)fitsimage.h \
- $(INC)fitsheader.h \
- $(INC)erosio.h \
- $(INC)fitskeys.h \
- $(INC)erostape.h \
- $(INC)strutil.h \
- $(INC)ptrarray.h \
- $(INC)voidptrarray.h \
- $(INC)basearray.h \
- $(INC)array.h \
- $(INC)lockfile.h \
- $(INC)erostarfile.h \
- $(INC)xstrstream.h \
- $(INC)dates.h \
- $(INC)tarlib.h piup.h
+$(OBJ)pistlist.o: pistlist.cc pistlist.h /erosusers/eros2/Include/stlist.h \
+ /erosusers/eros2/Include/machine.h /erosusers/eros2/Include/defs.h \
+ /erosusers/eros2/Include/exceptions.h \
+ /erosusers/eros2/Include/peidainit.h \
+ /erosusers/eros2/Include/perrors.h /erosusers/eros2/Include/dynccd.h \
+ /erosusers/eros2/Include/ppersist.h \
+ /erosusers/eros2/Include/pclassids.h \
+ /erosusers/eros2/Include/imaginit.h /erosusers/eros2/Include/star.h \
+ /erosusers/eros2/Include/strecinit.h \
+ /erosusers/eros2/Include/starmacro.h /erosusers/eros2/Include/psf.h \
+ /erosusers/eros2/Include/peida.h /erosusers/eros2/Include/utils.h \
+ /erosusers/eros2/Include/fmath.h /erosusers/eros2/Include/cimage.h \
+ /erosusers/eros2/Include/rzimage.h /erosusers/eros2/Include/rzvect.h \
+ /erosusers/eros2/Include/datatypes.h \
+ /erosusers/eros2/Include/dvlist.h /erosusers/eros2/Include/fct1dfit.h \
+ /erosusers/eros2/Include/generalfit.h \
+ /erosusers/eros2/Include/matrix.h /erosusers/eros2/Include/cvector.h \
+ /erosusers/eros2/Include/fct2dfit.h \
+ /erosusers/eros2/Include/pixelmap.h \
+ /erosusers/eros2/Include/transfo.h /erosusers/eros2/Include/poly.h \
+ /erosusers/eros2/Include/zfidu.h piscdrawwdg.h pisysdep.h pibwdgx.h \
+ pibwdggen.h piwdgx.h piwdggen.h pimsghandler.h picmap.h picmapx.h \
+ picmapgen.h pigraphx.h pigraphgen.h psfile.h pigraphps.h pistdwdgx.h \
+ pistdwdggen.h piwindowx.h piwindowgen.h picontainerx.h \
+ picontainergen.h pidrawer.h pigraphuc.h
+$(OBJ)piup.o: piup.cc /erosusers/eros2/Include/ctimer.h \
+ /erosusers/eros2/Include/peida.h /erosusers/eros2/Include/defs.h \
+ /erosusers/eros2/Include/utils.h /erosusers/eros2/Include/machine.h \
+ /erosusers/eros2/Include/perrors.h \
+ /erosusers/eros2/Include/exceptions.h \
+ /erosusers/eros2/Include/peidainit.h /erosusers/eros2/Include/fmath.h \
+ /erosusers/eros2/Include/imageop.h /erosusers/eros2/Include/cimage.h \
+ /erosusers/eros2/Include/rzimage.h /erosusers/eros2/Include/rzvect.h \
+ /erosusers/eros2/Include/imaginit.h \
+ /erosusers/eros2/Include/datatypes.h \
+ /erosusers/eros2/Include/ppersist.h \
+ /erosusers/eros2/Include/pclassids.h \
+ /erosusers/eros2/Include/dvlist.h \
+ /erosusers/eros2/Include/fitsimage.h \
+ /erosusers/eros2/Include/fitsheader.h \
+ /erosusers/eros2/Include/erosio.h /erosusers/eros2/Include/fitskeys.h \
+ /erosusers/eros2/Include/erostape.h \
+ /erosusers/eros2/Include/strutil.h \
+ /erosusers/eros2/Include/ptrarray.h \
+ /erosusers/eros2/Include/voidptrarray.h \
+ /erosusers/eros2/Include/basearray.h /erosusers/eros2/Include/array.h \
+ /erosusers/eros2/Include/lockfile.h \
+ /erosusers/eros2/Include/erostarfile.h \
+ /erosusers/eros2/Include/xstrstream.h \
+ /erosusers/eros2/Include/dates.h /erosusers/eros2/Include/tarlib.h \
+ piup.h
 $(OBJ)piwdggen.o: piwdggen.cc piwdggen.h pimsghandler.h picontainergen.h \
- pisysdep.h piwdgx.h psfile.h $(INC)defs.h \
+ pisysdep.h piwdgx.h psfile.h /erosusers/eros2/Include/defs.h \
  pigraphgen.h picmap.h picmapx.h picmapgen.h
 $(OBJ)piwdgx.o: piwdgx.cc piwdgx.h piwdggen.h pimsghandler.h picontainerx.h \
@@ -294,5 +252,5 @@
 $(OBJ)piwindowgen.o: piwindowgen.cc piwindowgen.h pisysdep.h picontainerx.h \
  picontainergen.h piwdgx.h piwdggen.h pimsghandler.h psfile.h \
- $(INC)defs.h pigraphgen.h picmap.h picmapx.h \
+ /erosusers/eros2/Include/defs.h pigraphgen.h picmap.h picmapx.h \
  picmapgen.h
 $(OBJ)piwindowx.o: piwindowx.cc piwindowx.h piwindowgen.h pisysdep.h \
@@ -300,7 +258,7 @@
 $(OBJ)pixtbase.o: pixtbase.cc pixtbaseP.h pibwdgx.h pisysdep.h pibwdggen.h \
  piwdgx.h piwdggen.h pimsghandler.h picmap.h picmapx.h picmapgen.h \
- pigraphx.h pigraphgen.h psfile.h $(INC)defs.h \
+ pigraphx.h pigraphgen.h psfile.h /erosusers/eros2/Include/defs.h \
  pigraphps.h pixtbase.h
-$(OBJ)psfile.o: psfile.cc psfile.h $(INC)defs.h \
+$(OBJ)psfile.o: psfile.cc psfile.h /erosusers/eros2/Include/defs.h \
  pisysdep.h pigraphgen.h piwdgx.h piwdggen.h pimsghandler.h picmap.h \
  picmapx.h picmapgen.h