Index: /trunk/SophyaPI/PI/Makefile
===================================================================
--- /trunk/SophyaPI/PI/Makefile	(revision 99)
+++ /trunk/SophyaPI/PI/Makefile	(revision 100)
@@ -11,10 +11,10 @@
 endif 
  
-$(OBJ)lut.o: lut.cc /erosusers/eros2/Include/defs.h lut.h
+$(OBJ)lut.o: lut.cc $(EROSDEVREP)/Include/defs.h lut.h
 $(OBJ)piapplgen.o: piapplgen.cc piapplgen.h pimsghandler.h pisysdep.h \
  picontainerx.h picontainergen.h piwdgx.h piwdggen.h pimenubarx.h \
  pimenubargen.h pimenux.h pimenugen.h picons.h pistdwdgx.h \
  pistdwdggen.h pibwdgx.h pibwdggen.h picmap.h picmapx.h picmapgen.h \
- pigraphx.h pigraphgen.h psfile.h /erosusers/eros2/Include/defs.h \
+ pigraphx.h pigraphgen.h psfile.h $(EROSDEVREP)/Include/defs.h \
  pigraphps.h
 $(OBJ)piapplx.o: piapplx.cc piapplx.h piapplgen.h pimsghandler.h pisysdep.h \
@@ -22,13 +22,13 @@
  pimenubargen.h pimenux.h pimenugen.h picons.h pistdwdgx.h \
  pistdwdggen.h pibwdgx.h pibwdggen.h picmap.h picmapx.h picmapgen.h \
- pigraphx.h pigraphgen.h psfile.h /erosusers/eros2/Include/defs.h \
+ pigraphx.h pigraphgen.h psfile.h $(EROSDEVREP)/Include/defs.h \
  pigraphps.h
 $(OBJ)pibwdggen.o: pibwdggen.cc pibwdggen.h pisysdep.h piwdgx.h piwdggen.h \
  pimsghandler.h picmap.h picmapx.h picmapgen.h pigraphx.h pigraphgen.h \
- psfile.h /erosusers/eros2/Include/defs.h pidrawer.h pigraphuc.h \
+ psfile.h $(EROSDEVREP)/Include/defs.h pidrawer.h pigraphuc.h \
  pigraphps.h
 $(OBJ)pibwdgx.o: pibwdgx.cc pixtbaseP.h pibwdgx.h pisysdep.h pibwdggen.h \
  piwdgx.h piwdggen.h pimsghandler.h picmap.h picmapx.h picmapgen.h \
- pigraphx.h pigraphgen.h psfile.h /erosusers/eros2/Include/defs.h \
+ pigraphx.h pigraphgen.h psfile.h $(EROSDEVREP)/Include/defs.h \
  pigraphps.h pixtbase.h
 $(OBJ)picmap.o: picmap.cc picmap.h pisysdep.h picmapx.h picmapgen.h
@@ -40,5 +40,5 @@
  picontainerx.h picontainergen.h pibwdgx.h pibwdggen.h picmap.h \
  picmapx.h picmapgen.h pigraphx.h pigraphgen.h psfile.h \
- /erosusers/eros2/Include/defs.h pigraphps.h
+ $(EROSDEVREP)/Include/defs.h pigraphps.h
 $(OBJ)picontainergen.o: picontainergen.cc picontainergen.h pisysdep.h \
  piwdgx.h piwdggen.h pimsghandler.h
@@ -47,10 +47,10 @@
 $(OBJ)pidrawer.o: pidrawer.cc pidrawer.h pibwdggen.h pisysdep.h piwdgx.h \
  piwdggen.h pimsghandler.h picmap.h picmapx.h picmapgen.h pigraphx.h \
- pigraphgen.h psfile.h /erosusers/eros2/Include/defs.h pigraphuc.h
+ pigraphgen.h psfile.h $(EROSDEVREP)/Include/defs.h pigraphuc.h
 $(OBJ)pidrawwin.o: pidrawwin.cc pidrawwin.h pisysdep.h piwindowx.h \
  piwindowgen.h picontainerx.h picontainergen.h piwdgx.h piwdggen.h \
  pimsghandler.h piscdrawwdg.h pibwdgx.h pibwdggen.h picmap.h picmapx.h \
  picmapgen.h pigraphx.h pigraphgen.h psfile.h \
- /erosusers/eros2/Include/defs.h pigraphps.h pistdwdgx.h pistdwdggen.h \
+ $(EROSDEVREP)/Include/defs.h pigraphps.h pistdwdgx.h pistdwdggen.h \
  pidrawer.h pigraphuc.h
 $(OBJ)pifilechogen.o: pifilechogen.cc pifilechogen.h pisysdep.h piwdgx.h \
@@ -63,18 +63,18 @@
 $(OBJ)pigraphps.o: pigraphps.cc pigraphps.h pisysdep.h pigraphgen.h piwdgx.h \
  piwdggen.h pimsghandler.h picmap.h picmapx.h picmapgen.h psfile.h \
- /erosusers/eros2/Include/defs.h
+ $(EROSDEVREP)/Include/defs.h
 $(OBJ)pigraphuc.o: pigraphuc.cc pigraphuc.h pisysdep.h pigraphgen.h piwdgx.h \
  piwdggen.h pimsghandler.h picmap.h picmapx.h picmapgen.h
 $(OBJ)pigraphx.o: pigraphx.cc pigraphx.h pisysdep.h pigraphgen.h piwdgx.h \
  piwdggen.h pimsghandler.h picmap.h picmapx.h picmapgen.h
-$(OBJ)pihisto.o: pihisto.cc pihisto.h /erosusers/eros2/Include/histos.h \
- /erosusers/eros2/Include/peida.h /erosusers/eros2/Include/defs.h \
- /erosusers/eros2/Include/utils.h /erosusers/eros2/Include/machine.h \
- /erosusers/eros2/Include/perrors.h \
- /erosusers/eros2/Include/exceptions.h \
- /erosusers/eros2/Include/peidainit.h /erosusers/eros2/Include/fmath.h \
- /erosusers/eros2/Include/cvector.h /erosusers/eros2/Include/matrix.h \
- /erosusers/eros2/Include/ppersist.h \
- /erosusers/eros2/Include/pclassids.h piscdrawwdg.h pisysdep.h \
+$(OBJ)pihisto.o: pihisto.cc pihisto.h $(EROSDEVREP)/Include/histos.h \
+ $(EROSDEVREP)/Include/peida.h $(EROSDEVREP)/Include/defs.h \
+ $(EROSDEVREP)/Include/utils.h $(EROSDEVREP)/Include/machine.h \
+ $(EROSDEVREP)/Include/perrors.h \
+ $(EROSDEVREP)/Include/exceptions.h \
+ $(EROSDEVREP)/Include/peidainit.h $(EROSDEVREP)/Include/fmath.h \
+ $(EROSDEVREP)/Include/cvector.h $(EROSDEVREP)/Include/matrix.h \
+ $(EROSDEVREP)/Include/ppersist.h \
+ $(EROSDEVREP)/Include/pclassids.h piscdrawwdg.h pisysdep.h \
  pibwdgx.h pibwdggen.h piwdgx.h piwdggen.h pimsghandler.h picmap.h \
  picmapx.h picmapgen.h pigraphx.h pigraphgen.h psfile.h pigraphps.h \
@@ -84,49 +84,49 @@
  piwdgx.h piwdggen.h pimsghandler.h pimenubarx.h pimenubargen.h \
  pioptmenux.h pioptmenugen.h picontainerx.h picontainergen.h \
- pistdwdgx.h pistdwdggen.h /erosusers/eros2/Include/histos2.h \
- /erosusers/eros2/Include/peida.h /erosusers/eros2/Include/defs.h \
- /erosusers/eros2/Include/utils.h /erosusers/eros2/Include/machine.h \
- /erosusers/eros2/Include/perrors.h \
- /erosusers/eros2/Include/exceptions.h \
- /erosusers/eros2/Include/peidainit.h /erosusers/eros2/Include/fmath.h \
- /erosusers/eros2/Include/histos.h /erosusers/eros2/Include/cvector.h \
- /erosusers/eros2/Include/matrix.h /erosusers/eros2/Include/ppersist.h \
- /erosusers/eros2/Include/pclassids.h piscdrawwdg.h pibwdgx.h \
+ pistdwdgx.h pistdwdggen.h $(EROSDEVREP)/Include/histos2.h \
+ $(EROSDEVREP)/Include/peida.h $(EROSDEVREP)/Include/defs.h \
+ $(EROSDEVREP)/Include/utils.h $(EROSDEVREP)/Include/machine.h \
+ $(EROSDEVREP)/Include/perrors.h \
+ $(EROSDEVREP)/Include/exceptions.h \
+ $(EROSDEVREP)/Include/peidainit.h $(EROSDEVREP)/Include/fmath.h \
+ $(EROSDEVREP)/Include/histos.h $(EROSDEVREP)/Include/cvector.h \
+ $(EROSDEVREP)/Include/matrix.h $(EROSDEVREP)/Include/ppersist.h \
+ $(EROSDEVREP)/Include/pclassids.h piscdrawwdg.h pibwdgx.h \
  pibwdggen.h picmap.h picmapx.h picmapgen.h pigraphx.h pigraphgen.h \
  psfile.h pigraphps.h piwindowx.h piwindowgen.h pidrawer.h pigraphuc.h \
- /erosusers/eros2/Include/nbrandom.h
-$(OBJ)piimage.o: piimage.cc piimage.h /erosusers/eros2/Include/cimage.h \
- /erosusers/eros2/Include/rzimage.h /erosusers/eros2/Include/rzvect.h \
- /erosusers/eros2/Include/machine.h /erosusers/eros2/Include/defs.h \
- /erosusers/eros2/Include/exceptions.h \
- /erosusers/eros2/Include/peidainit.h \
- /erosusers/eros2/Include/perrors.h \
- /erosusers/eros2/Include/imaginit.h \
- /erosusers/eros2/Include/datatypes.h \
- /erosusers/eros2/Include/ppersist.h \
- /erosusers/eros2/Include/pclassids.h \
- /erosusers/eros2/Include/dvlist.h lut.h pisysdep.h pipixmapx.h \
+ $(EROSDEVREP)/Include/nbrandom.h
+$(OBJ)piimage.o: piimage.cc piimage.h $(EROSDEVREP)/Include/cimage.h \
+ $(EROSDEVREP)/Include/rzimage.h $(EROSDEVREP)/Include/rzvect.h \
+ $(EROSDEVREP)/Include/machine.h $(EROSDEVREP)/Include/defs.h \
+ $(EROSDEVREP)/Include/exceptions.h \
+ $(EROSDEVREP)/Include/peidainit.h \
+ $(EROSDEVREP)/Include/perrors.h \
+ $(EROSDEVREP)/Include/imaginit.h \
+ $(EROSDEVREP)/Include/datatypes.h \
+ $(EROSDEVREP)/Include/ppersist.h \
+ $(EROSDEVREP)/Include/pclassids.h \
+ $(EROSDEVREP)/Include/dvlist.h lut.h pisysdep.h pipixmapx.h \
  pipixmapgen.h pibwdgx.h pibwdggen.h piwdgx.h piwdggen.h \
  pimsghandler.h picmap.h picmapx.h picmapgen.h pigraphx.h pigraphgen.h \
  psfile.h pigraphps.h pistdwdgx.h pistdwdggen.h piwindowx.h \
  piwindowgen.h picontainerx.h picontainergen.h \
- /erosusers/eros2/Include/imageop.h \
- /erosusers/eros2/Include/fitsimage.h \
- /erosusers/eros2/Include/fitsheader.h \
- /erosusers/eros2/Include/erosio.h /erosusers/eros2/Include/fitskeys.h \
- /erosusers/eros2/Include/erostape.h \
- /erosusers/eros2/Include/strutil.h \
- /erosusers/eros2/Include/ptrarray.h \
- /erosusers/eros2/Include/voidptrarray.h \
- /erosusers/eros2/Include/basearray.h /erosusers/eros2/Include/peida.h \
- /erosusers/eros2/Include/utils.h /erosusers/eros2/Include/fmath.h \
- /erosusers/eros2/Include/array.h /erosusers/eros2/Include/lockfile.h \
- /erosusers/eros2/Include/erostarfile.h \
- /erosusers/eros2/Include/xstrstream.h \
- /erosusers/eros2/Include/dates.h /erosusers/eros2/Include/tarlib.h
-$(OBJ)piinit.o: piinit.cc /erosusers/eros2/Include/defs.h piinit.h \
- /erosusers/eros2/Include/strecinit.h \
- /erosusers/eros2/Include/imaginit.h \
- /erosusers/eros2/Include/peidainit.h
+ $(EROSDEVREP)/Include/imageop.h \
+ $(EROSDEVREP)/Include/fitsimage.h \
+ $(EROSDEVREP)/Include/fitsheader.h \
+ $(EROSDEVREP)/Include/erosio.h $(EROSDEVREP)/Include/fitskeys.h \
+ $(EROSDEVREP)/Include/erostape.h \
+ $(EROSDEVREP)/Include/strutil.h \
+ $(EROSDEVREP)/Include/ptrarray.h \
+ $(EROSDEVREP)/Include/voidptrarray.h \
+ $(EROSDEVREP)/Include/basearray.h $(EROSDEVREP)/Include/peida.h \
+ $(EROSDEVREP)/Include/utils.h $(EROSDEVREP)/Include/fmath.h \
+ $(EROSDEVREP)/Include/array.h $(EROSDEVREP)/Include/lockfile.h \
+ $(EROSDEVREP)/Include/erostarfile.h \
+ $(EROSDEVREP)/Include/xstrstream.h \
+ $(EROSDEVREP)/Include/dates.h $(EROSDEVREP)/Include/tarlib.h
+$(OBJ)piinit.o: piinit.cc $(EROSDEVREP)/Include/defs.h piinit.h \
+ $(EROSDEVREP)/Include/strecinit.h \
+ $(EROSDEVREP)/Include/imaginit.h \
+ $(EROSDEVREP)/Include/peidainit.h
 $(OBJ)pilistgen.o: pilistgen.cc pilistgen.h pisysdep.h piwdgx.h piwdggen.h \
  pimsghandler.h
@@ -137,5 +137,5 @@
  picontainerx.h picontainergen.h pimenubarx.h picons.h pistdwdgx.h \
  pistdwdggen.h pibwdgx.h pibwdggen.h picmap.h picmapx.h picmapgen.h \
- pigraphx.h pigraphgen.h psfile.h /erosusers/eros2/Include/defs.h \
+ pigraphx.h pigraphgen.h psfile.h $(EROSDEVREP)/Include/defs.h \
  pigraphps.h
 $(OBJ)pimenubarx.o: pimenubarx.cc pimenubarx.h pimenubargen.h pisysdep.h \
@@ -143,5 +143,5 @@
  piapplgen.h picontainerx.h picontainergen.h picons.h pistdwdgx.h \
  pistdwdggen.h pibwdgx.h pibwdggen.h picmap.h picmapx.h picmapgen.h \
- pigraphx.h pigraphgen.h psfile.h /erosusers/eros2/Include/defs.h \
+ pigraphx.h pigraphgen.h psfile.h $(EROSDEVREP)/Include/defs.h \
  pigraphps.h
 $(OBJ)pimenugen.o: pimenugen.cc pimenugen.h pisysdep.h piwdgx.h piwdggen.h \
@@ -150,10 +150,10 @@
  piwdggen.h pimsghandler.h
 $(OBJ)pimsghandler.o: pimsghandler.cc pimsghandler.h
-$(OBJ)pintuple.o: pintuple.cc pintuple.h /erosusers/eros2/Include/ntuple.h \
- /erosusers/eros2/Include/ppersist.h /erosusers/eros2/Include/defs.h \
- /erosusers/eros2/Include/machine.h /erosusers/eros2/Include/perrors.h \
- /erosusers/eros2/Include/exceptions.h \
- /erosusers/eros2/Include/peidainit.h \
- /erosusers/eros2/Include/pclassids.h piscdrawwdg.h pisysdep.h \
+$(OBJ)pintuple.o: pintuple.cc pintuple.h $(EROSDEVREP)/Include/ntuple.h \
+ $(EROSDEVREP)/Include/ppersist.h $(EROSDEVREP)/Include/defs.h \
+ $(EROSDEVREP)/Include/machine.h $(EROSDEVREP)/Include/perrors.h \
+ $(EROSDEVREP)/Include/exceptions.h \
+ $(EROSDEVREP)/Include/peidainit.h \
+ $(EROSDEVREP)/Include/pclassids.h piscdrawwdg.h pisysdep.h \
  pibwdgx.h pibwdggen.h piwdgx.h piwdggen.h pimsghandler.h picmap.h \
  picmapx.h picmapgen.h pigraphx.h pigraphgen.h psfile.h pigraphps.h \
@@ -167,23 +167,23 @@
  pimenux.h pimenugen.h pistdwdgx.h pistdwdggen.h
 $(OBJ)piperiodx.o: piperiodx.cc piwdgx.h piwdggen.h pimsghandler.h \
- piperiodx.h /erosusers/eros2/Include/periodic.h \
- /erosusers/eros2/Include/defs.h
+ piperiodx.h $(EROSDEVREP)/Include/periodic.h \
+ $(EROSDEVREP)/Include/defs.h
 $(OBJ)pipixmapgen.o: pipixmapgen.cc pipixmapgen.h pisysdep.h pibwdgx.h \
  pibwdggen.h piwdgx.h piwdggen.h pimsghandler.h picmap.h picmapx.h \
  picmapgen.h pigraphx.h pigraphgen.h psfile.h \
- /erosusers/eros2/Include/defs.h pigraphps.h
+ $(EROSDEVREP)/Include/defs.h pigraphps.h
 $(OBJ)pipixmapx.o: pipixmapx.cc pipixmapx.h pipixmapgen.h pisysdep.h \
  pibwdgx.h pibwdggen.h piwdgx.h piwdggen.h pimsghandler.h picmap.h \
  picmapx.h picmapgen.h pigraphx.h pigraphgen.h psfile.h \
- /erosusers/eros2/Include/defs.h pigraphps.h
-$(OBJ)piscdrawwdg.o: piscdrawwdg.cc /erosusers/eros2/Include/generalfit.h \
- /erosusers/eros2/Include/exceptions.h /erosusers/eros2/Include/defs.h \
- /erosusers/eros2/Include/peidainit.h \
- /erosusers/eros2/Include/matrix.h /erosusers/eros2/Include/peida.h \
- /erosusers/eros2/Include/utils.h /erosusers/eros2/Include/machine.h \
- /erosusers/eros2/Include/perrors.h /erosusers/eros2/Include/fmath.h \
- /erosusers/eros2/Include/ppersist.h \
- /erosusers/eros2/Include/pclassids.h \
- /erosusers/eros2/Include/cvector.h piscdrawwdg.h pisysdep.h pibwdgx.h \
+ $(EROSDEVREP)/Include/defs.h pigraphps.h
+$(OBJ)piscdrawwdg.o: piscdrawwdg.cc $(EROSDEVREP)/Include/generalfit.h \
+ $(EROSDEVREP)/Include/exceptions.h $(EROSDEVREP)/Include/defs.h \
+ $(EROSDEVREP)/Include/peidainit.h \
+ $(EROSDEVREP)/Include/matrix.h $(EROSDEVREP)/Include/peida.h \
+ $(EROSDEVREP)/Include/utils.h $(EROSDEVREP)/Include/machine.h \
+ $(EROSDEVREP)/Include/perrors.h $(EROSDEVREP)/Include/fmath.h \
+ $(EROSDEVREP)/Include/ppersist.h \
+ $(EROSDEVREP)/Include/pclassids.h \
+ $(EROSDEVREP)/Include/cvector.h piscdrawwdg.h pisysdep.h pibwdgx.h \
  pibwdggen.h piwdgx.h piwdggen.h pimsghandler.h picmap.h picmapx.h \
  picmapgen.h pigraphx.h pigraphgen.h psfile.h pigraphps.h pistdwdgx.h \
@@ -194,57 +194,57 @@
 $(OBJ)pistdwdgx.o: pistdwdgx.cc pisysdep.h pistdwdgx.h pistdwdggen.h \
  piwdgx.h piwdggen.h pimsghandler.h
-$(OBJ)pistlist.o: pistlist.cc pistlist.h /erosusers/eros2/Include/stlist.h \
- /erosusers/eros2/Include/machine.h /erosusers/eros2/Include/defs.h \
- /erosusers/eros2/Include/exceptions.h \
- /erosusers/eros2/Include/peidainit.h \
- /erosusers/eros2/Include/perrors.h /erosusers/eros2/Include/dynccd.h \
- /erosusers/eros2/Include/ppersist.h \
- /erosusers/eros2/Include/pclassids.h \
- /erosusers/eros2/Include/imaginit.h /erosusers/eros2/Include/star.h \
- /erosusers/eros2/Include/strecinit.h \
- /erosusers/eros2/Include/starmacro.h /erosusers/eros2/Include/psf.h \
- /erosusers/eros2/Include/peida.h /erosusers/eros2/Include/utils.h \
- /erosusers/eros2/Include/fmath.h /erosusers/eros2/Include/cimage.h \
- /erosusers/eros2/Include/rzimage.h /erosusers/eros2/Include/rzvect.h \
- /erosusers/eros2/Include/datatypes.h \
- /erosusers/eros2/Include/dvlist.h /erosusers/eros2/Include/fct1dfit.h \
- /erosusers/eros2/Include/generalfit.h \
- /erosusers/eros2/Include/matrix.h /erosusers/eros2/Include/cvector.h \
- /erosusers/eros2/Include/fct2dfit.h \
- /erosusers/eros2/Include/pixelmap.h \
- /erosusers/eros2/Include/transfo.h /erosusers/eros2/Include/poly.h \
- /erosusers/eros2/Include/zfidu.h piscdrawwdg.h pisysdep.h pibwdgx.h \
+$(OBJ)pistlist.o: pistlist.cc pistlist.h $(EROSDEVREP)/Include/stlist.h \
+ $(EROSDEVREP)/Include/machine.h $(EROSDEVREP)/Include/defs.h \
+ $(EROSDEVREP)/Include/exceptions.h \
+ $(EROSDEVREP)/Include/peidainit.h \
+ $(EROSDEVREP)/Include/perrors.h $(EROSDEVREP)/Include/dynccd.h \
+ $(EROSDEVREP)/Include/ppersist.h \
+ $(EROSDEVREP)/Include/pclassids.h \
+ $(EROSDEVREP)/Include/imaginit.h $(EROSDEVREP)/Include/star.h \
+ $(EROSDEVREP)/Include/strecinit.h \
+ $(EROSDEVREP)/Include/starmacro.h $(EROSDEVREP)/Include/psf.h \
+ $(EROSDEVREP)/Include/peida.h $(EROSDEVREP)/Include/utils.h \
+ $(EROSDEVREP)/Include/fmath.h $(EROSDEVREP)/Include/cimage.h \
+ $(EROSDEVREP)/Include/rzimage.h $(EROSDEVREP)/Include/rzvect.h \
+ $(EROSDEVREP)/Include/datatypes.h \
+ $(EROSDEVREP)/Include/dvlist.h $(EROSDEVREP)/Include/fct1dfit.h \
+ $(EROSDEVREP)/Include/generalfit.h \
+ $(EROSDEVREP)/Include/matrix.h $(EROSDEVREP)/Include/cvector.h \
+ $(EROSDEVREP)/Include/fct2dfit.h \
+ $(EROSDEVREP)/Include/pixelmap.h \
+ $(EROSDEVREP)/Include/transfo.h $(EROSDEVREP)/Include/poly.h \
+ $(EROSDEVREP)/Include/zfidu.h piscdrawwdg.h pisysdep.h pibwdgx.h \
  pibwdggen.h piwdgx.h piwdggen.h pimsghandler.h picmap.h picmapx.h \
  picmapgen.h pigraphx.h pigraphgen.h psfile.h pigraphps.h pistdwdgx.h \
  pistdwdggen.h piwindowx.h piwindowgen.h picontainerx.h \
  picontainergen.h pidrawer.h pigraphuc.h
-$(OBJ)piup.o: piup.cc /erosusers/eros2/Include/ctimer.h \
- /erosusers/eros2/Include/peida.h /erosusers/eros2/Include/defs.h \
- /erosusers/eros2/Include/utils.h /erosusers/eros2/Include/machine.h \
- /erosusers/eros2/Include/perrors.h \
- /erosusers/eros2/Include/exceptions.h \
- /erosusers/eros2/Include/peidainit.h /erosusers/eros2/Include/fmath.h \
- /erosusers/eros2/Include/imageop.h /erosusers/eros2/Include/cimage.h \
- /erosusers/eros2/Include/rzimage.h /erosusers/eros2/Include/rzvect.h \
- /erosusers/eros2/Include/imaginit.h \
- /erosusers/eros2/Include/datatypes.h \
- /erosusers/eros2/Include/ppersist.h \
- /erosusers/eros2/Include/pclassids.h \
- /erosusers/eros2/Include/dvlist.h \
- /erosusers/eros2/Include/fitsimage.h \
- /erosusers/eros2/Include/fitsheader.h \
- /erosusers/eros2/Include/erosio.h /erosusers/eros2/Include/fitskeys.h \
- /erosusers/eros2/Include/erostape.h \
- /erosusers/eros2/Include/strutil.h \
- /erosusers/eros2/Include/ptrarray.h \
- /erosusers/eros2/Include/voidptrarray.h \
- /erosusers/eros2/Include/basearray.h /erosusers/eros2/Include/array.h \
- /erosusers/eros2/Include/lockfile.h \
- /erosusers/eros2/Include/erostarfile.h \
- /erosusers/eros2/Include/xstrstream.h \
- /erosusers/eros2/Include/dates.h /erosusers/eros2/Include/tarlib.h \
+$(OBJ)piup.o: piup.cc $(EROSDEVREP)/Include/ctimer.h \
+ $(EROSDEVREP)/Include/peida.h $(EROSDEVREP)/Include/defs.h \
+ $(EROSDEVREP)/Include/utils.h $(EROSDEVREP)/Include/machine.h \
+ $(EROSDEVREP)/Include/perrors.h \
+ $(EROSDEVREP)/Include/exceptions.h \
+ $(EROSDEVREP)/Include/peidainit.h $(EROSDEVREP)/Include/fmath.h \
+ $(EROSDEVREP)/Include/imageop.h $(EROSDEVREP)/Include/cimage.h \
+ $(EROSDEVREP)/Include/rzimage.h $(EROSDEVREP)/Include/rzvect.h \
+ $(EROSDEVREP)/Include/imaginit.h \
+ $(EROSDEVREP)/Include/datatypes.h \
+ $(EROSDEVREP)/Include/ppersist.h \
+ $(EROSDEVREP)/Include/pclassids.h \
+ $(EROSDEVREP)/Include/dvlist.h \
+ $(EROSDEVREP)/Include/fitsimage.h \
+ $(EROSDEVREP)/Include/fitsheader.h \
+ $(EROSDEVREP)/Include/erosio.h $(EROSDEVREP)/Include/fitskeys.h \
+ $(EROSDEVREP)/Include/erostape.h \
+ $(EROSDEVREP)/Include/strutil.h \
+ $(EROSDEVREP)/Include/ptrarray.h \
+ $(EROSDEVREP)/Include/voidptrarray.h \
+ $(EROSDEVREP)/Include/basearray.h $(EROSDEVREP)/Include/array.h \
+ $(EROSDEVREP)/Include/lockfile.h \
+ $(EROSDEVREP)/Include/erostarfile.h \
+ $(EROSDEVREP)/Include/xstrstream.h \
+ $(EROSDEVREP)/Include/dates.h $(EROSDEVREP)/Include/tarlib.h \
  piup.h
 $(OBJ)piwdggen.o: piwdggen.cc piwdggen.h pimsghandler.h picontainergen.h \
- pisysdep.h piwdgx.h psfile.h /erosusers/eros2/Include/defs.h \
+ pisysdep.h piwdgx.h psfile.h $(EROSDEVREP)/Include/defs.h \
  pigraphgen.h picmap.h picmapx.h picmapgen.h
 $(OBJ)piwdgx.o: piwdgx.cc piwdgx.h piwdggen.h pimsghandler.h picontainerx.h \
@@ -252,5 +252,5 @@
 $(OBJ)piwindowgen.o: piwindowgen.cc piwindowgen.h pisysdep.h picontainerx.h \
  picontainergen.h piwdgx.h piwdggen.h pimsghandler.h psfile.h \
- /erosusers/eros2/Include/defs.h pigraphgen.h picmap.h picmapx.h \
+ $(EROSDEVREP)/Include/defs.h pigraphgen.h picmap.h picmapx.h \
  picmapgen.h
 $(OBJ)piwindowx.o: piwindowx.cc piwindowx.h piwindowgen.h pisysdep.h \
@@ -258,7 +258,7 @@
 $(OBJ)pixtbase.o: pixtbase.cc pixtbaseP.h pibwdgx.h pisysdep.h pibwdggen.h \
  piwdgx.h piwdggen.h pimsghandler.h picmap.h picmapx.h picmapgen.h \
- pigraphx.h pigraphgen.h psfile.h /erosusers/eros2/Include/defs.h \
+ pigraphx.h pigraphgen.h psfile.h $(EROSDEVREP)/Include/defs.h \
  pigraphps.h pixtbase.h
-$(OBJ)psfile.o: psfile.cc psfile.h /erosusers/eros2/Include/defs.h \
+$(OBJ)psfile.o: psfile.cc psfile.h $(EROSDEVREP)/Include/defs.h \
  pisysdep.h pigraphgen.h piwdgx.h piwdggen.h pimsghandler.h picmap.h \
  picmapx.h picmapgen.h